=== modified file 'www/12.10/Baidu/index.html.br'
--- www/12.10/Baidu/index.html.br	2014-04-29 13:23:04 +0000
+++ www/12.10/Baidu/index.html.br	2015-02-03 23:25:45 +0000
@@ -1,14 +1,16 @@
 <!DOCTYPE html>
 <html lang="br" dir="ltr">
 <head>
-<meta http-equiv="content-type" content="text/html; charset=UTF-8" /> 
+<meta http-equiv="content-type" content="text/html; charset=UTF-8">
+<meta name="viewport" content="width=device-width">
 <title>Pajenn degemer Ubuntu</title>
 <style type="text/css">
+html {
+    font: normal 300 16px/25px "Ubuntu", Arial, "libra sans", sans-serif;
+    color: #333;
+}
 body {
     background: white;
-    font-family: ubuntu, ubuntubeta, 'Bitstream Vera Sans', 'DejaVu Sans', Tahoma, sans-serif;
-    font-size: 12px;
-    line-height: 14px;
     margin: 0 auto;
 }
 button::-moz-focus-inner {
@@ -21,30 +23,94 @@
     button{
         margin: 0;
     }
-}   
+}
+.acchide {
+    text-indent: -999em;
+    display: block;
+}
+/* one-form */
+input[type="search"] {
+  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
+  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
+  border-radius: 2px;
+  width: 100%;
+  padding: 0.5em 0.6em;
+  margin: 0 0 0.5em 0;
+  display: block;
+  border: 1px solid #ccc;
+  font-weight: inherit;
+  -webkit-transition: 0.3s linear border;
+  -moz-transition: 0.3s linear border;
+  -ms-transition: 0.3s linear border;
+  -o-transition: 0.3s linear border;
+  transition: 0.3s linear border;
+}
+input[type="search"]:focus {
+  outline: 0;
+  outline: thin dotted \9;
+  /* IE6-9 */
+  border-color: #129FEA;
+}
+/* end one-form */
+
+/* one-list */
+ul, ol {
+  margin: 0.5em 0;
+  padding: 0;
+}
+ul li {
+  list-style: none;
+}
+.one-list-inline {
+  display: inline;
+  overflow: hidden;
+  margin: 0 0 0 0.3em;
+  padding: 0;
+}
+.one-list-inline li {
+  list-style: none;
+  display: inline-block;
+}
+.one-list-inline li:after {
+  margin: 0 0.15em;
+}
+.one-list-inline li:last-child:after {
+  content: '';
+}
+/* end one-list */
+
+/* one-box */
+.one-box {
+  padding: 20px;
+  margin: 0 0 2em 0;
+  -webkit-border-radius: 5px;
+  border-radius: 5px;
+  padding: 20px;
+}
+.one-box-bordered {
+  border: 1px solid #ccc;
+}
+/* end one-box */
+
 .search-box {
-    width: 595px;
-    margin: 0 auto;
-    margin-top: 63px;
+    margin: 1em;
+    border-color: #eee;
+
+    -webkit-transition: margin 200ms ease, padding 200ms ease;
+    -moz-transition: margin 200ms ease, padding 200ms ease;
+    transition: margin 200ms ease, padding 200ms ease;
 }
 .ubuntu-branding {
     background: url(http://start.ubuntu.com/12.04/sprite.png) no-repeat;
-    background-position: 0 -251px;
+    background-position: 0px -251px;
     background-color: #aea79f;
     height: 40px;
     border-radius: 5px 5px 0 0;
-}
-.wrapper {
-    padding: 0;
-    border: 1px solid #eee;
-    border-top: 0;
-    border-radius: 0 0 5px 5px;
-    margin: 0 auto;
-    text-align: center;
-}
-.wrapper h1 {
-    margin: 0;
-    padding: 0;
+    margin: -21px;
+    margin-bottom: 20px;
+}
+.logo {
+    margin: 0 0 15px 0;
 }
 .logo a {
     font-size: 1px;
@@ -52,123 +118,164 @@
     text-indent: -9999px;
     background: url(http://start.ubuntu.com/12.04/sprite.png) no-repeat;
     background-position: -22px -605px;
-    margin: 0;
     padding: 0;
     height: 75px;
     width: 173px;
-    margin-bottom: 15px;
-    position: relative;
-}
-.wrapper input {
-    /* allows styling in webkit */
-    -webkit-appearance: textfield;
-    display: inline-block;
-    vertical-align: top;
-    width: 384px;
-    height: 32px;
-    font-size: 18px;
-    padding-left: 5px;
-    padding-right: 5px;
-    -webkit-box-sizing: border-box;
-    -moz-box-sizing: border-box;
-    -ms-box-sizing: border-box;
-    -o-box-sizing: border-box;
-    box-sizing: border-box;
-    border: 1px solid #AEA79F;
-}
-.inner {
-    display: inline-block;
-    margin: 35px auto 100px auto;
-}
-.inner form {
-    height: 32px;
+    position: relative;
+    -webkit-transition: margin 200ms ease;
+    -moz-transition: margin 200ms ease;
+    transition: margin 200ms ease;
+}
+.logo,
+.search-form {
+    max-width: 460px;
+    margin-left: auto;
+    margin-right: auto;
+}
+@media screen and (min-width: 665px) {
+    .wrapper {
+        max-width: 665px;
+        margin: 0 auto;
+    }
+    .search-box {
+        padding-bottom: 100px;
+        margin-top: 65px;
+    }
+    .logo a {
+        margin-top: 65px;
+    }
+    .search-form {
+        text-align: center;
+    }
+}
+.search-form {
+    padding-right: 75px;
+    position: relative;
+    -moz-box-sizing: border-box;
+    -webkit-box-sizing: border-box;
+    box-sizing: border-box;
+}
+.search-input {
+    -moz-box-sizing: border-box;
+    -webkit-box-sizing: border-box;
+    box-sizing: border-box;
+    font-size: inherit;
+}
+.search-button {
+    position: absolute;
+    top: 0;
+    right: 0;
+    cursor: default;
+    height: 37px;
+    width: 70px;
+    margin-left: 0.5em;
+    text-align: center;
+    text-decoration: none;
+    -moz-user-select: none;
+    -webkit-box-sizing: border-box;
+    -moz-box-sizing: border-box;
+    box-sizing: border-box;
 }
 .external-links {
-    text-align: center;
-    padding-top: 20px;
-    padding-left: 10px;
-    padding-right: 10px;
+    margin: 1em;
 }
 .external-links li {
-    height: 30px;
-    display: inline-block;
     text-align: left;
-    padding-top: 8px;
-    margin: 0 10px;
+    display: block;
+    margin: 0 1em 1em 1em;
+    padding-bottom: 1em;
+    border-bottom: 1px solid #ccc;
+}
+.external-links li:after {
+    margin: 0;
 }
 .external-links a {
+    display: block;
     text-decoration: none;
     color: gray;
-    padding: 10px 0 10px 40px;
+    height: 30px;
+    line-height: 30px;
+    padding-left: 35px;
 }
 .external-links a::after {
     content: " ›";
-    font-size: 16px;
 }
 .external-links a:hover {
     color: #e24912;
 }
-.help-link, 
-.shop-link, 
-.community-link {
+@media screen and (min-width: 665px) {
+    .external-links {
+        width: 595px;
+        margin: auto;
+        display: block;
+        text-align: center;
+    }
+    .external-links li {
+        display: inline-block;
+        margin: 0 1em 0 0;
+        padding: 0;
+        border: none;
+    }
+    .external-links li:last-child {
+        margin-right: 0;
+        margin-bottom: 0;
+    }
+    .external-links li a {
+        display: inline-block;
+    }
+}
+.help-link a,
+.shop-link a,
+.community-link a {
     background: url(http://start.ubuntu.com/12.04/sprite.png) no-repeat;
 }
-.help-link {
+.help-link a {
     background-position: -10px -450px;
 }
-.help-link:hover {
+.help-link:hover a {
     background-position: -10px -490px;
 }
-.shop-link {
+.shop-link a {
     background-position: -10px -368px;
 }
-.shop-link:hover {
+.shop-link:hover a {
     background-position: -10px -410px;
 }
-.community-link {
+.community-link a {
     background-position: -10px -528px;
 }
-.community-link:hover {
+.community-link:hover a {
     background-position: -10px -568px;
 }
-button {
-    margin: 0 3px;
-    display: inline-block;
-    vertical-align: top;
-    cursor: default;
-    height: 32px;
-    padding: 0 8px;
-    text-align: center;
-    text-decoration: none;
-    -webkit-box-sizing: border-box;
-    -moz-box-sizing: border-box;
-    -ms-box-sizing: border-box;
-    -o-box-sizing: border-box;
-    box-sizing: border-box;
-}
-
 </style>
 </head>
 <body>
-    <div class="search-box">
-        <div class="ubuntu-branding"></div>
-        <div class="wrapper">
-            <div class="inner">
-                <h1 class="logo"><a href="http://www.baidu.com">Baidu</a></h1>
-                <form method="get" action="http://baidu.com/s" name="f">
-                    <input type="hidden" name="cl" value="3" />
-                    <input type="hidden" name="tn" value="ubuntuu_cb" />
-                    <input type="search" x-webkit-speech name="wd" value="" id="kw" /><!-- Eliminate Whitespace
-                    --><button type="submit">Klask</button>
-                </form>
-            </div>
-        </div>
-        <ul class="external-links">
-            <li class="help-link"><a href="https://help.ubuntu.com">Skoazell Ubuntu</a></li>
-            <li class="shop-link"><a href="http://shop.ubuntu.com">Stal Ubuntu</a></li>
-            <li class="community-link"><a href="http://www.ubuntu.com/community">Kumuniezh Ubuntu</a></li>
-        </ul>
-    </div><!-- close search-box -->
+
+    <div class="wrapper">
+
+        <div class="search-box one-box one-box-bordered">
+
+            <div class="ubuntu-branding"></div>
+
+            <h1 class="logo"><a href="http://www.baidu.com">Baidu</a></h1>
+
+            <form method="get" class="search-form" action="http://baidu.com/s" name="f">
+                <input type="hidden" name="cl" value="3" />
+                <input type="hidden" name="tn" value="ubuntuu_cb" />
+                <input type="search" class="search-input" x-webkit-speech name="wd" value="" id="kw" /><!-- Eliminate Whitespace
+                --><button class="search-button" type="submit">Search</button>
+            </form>
+
+        </div><!-- close search-box -->
+
+    </div><!-- close wrapper -->
+
+    <ul class="external-links one-list-inline">
+        <li class="help-link"><a href="https://help.ubuntu.com">Skoazell Ubuntu</a></li>
+        <li class="shop-link"><a href="http://shop.ubuntu.com">Stal Ubuntu</a></li>
+        <li class="community-link"><a href="http://www.ubuntu.com/community">Kumuniezh Ubuntu</a></li>
+    </ul>
+
 <script type="text/javascript">
 //<![CDATA[
 (function focus_search() {

=== modified file 'www/12.10/Baidu/index.html.zh-hk'
--- www/12.10/Baidu/index.html.zh-hk	2015-02-03 23:24:30 +0000
+++ www/12.10/Baidu/index.html.zh-hk	2015-02-03 23:25:45 +0000
@@ -3,7 +3,7 @@
 <head>
 <meta http-equiv="content-type" content="text/html; charset=UTF-8">
 <meta name="viewport" content="width=device-width">
-<title>Ubuntu開始頁</title>
+<title>Ubuntu 開始頁</title>
 <style type="text/css">
 html {
     font: normal 300 16px/25px "Ubuntu", Arial, "libra sans", sans-serif;
@@ -271,9 +271,9 @@
     </div><!-- close wrapper -->
 
     <ul class="external-links one-list-inline">
-        <li class="help-link"><a href="https://help.ubuntu.com">Ubuntu幫助</a></li>
-        <li class="shop-link"><a href="http://shop.ubuntu.com">Ubuntu商店</a></li>
-        <li class="community-link"><a href="http://www.ubuntu.com/community">Ubuntu社群</a></li>
+        <li class="help-link"><a href="https://help.ubuntu.com">Ubuntu 幫助</a></li>
+        <li class="shop-link"><a href="http://shop.ubuntu.com">Ubuntu 商店</a></li>
+        <li class="community-link"><a href="http://www.ubuntu.com/community">Ubuntu 社羣</a></li>
     </ul>
 
 <script type="text/javascript">

=== modified file 'www/12.10/Yahoo/index.html.br'
--- www/12.10/Yahoo/index.html.br	2014-04-29 13:23:04 +0000
+++ www/12.10/Yahoo/index.html.br	2015-02-03 23:25:45 +0000
@@ -1,14 +1,16 @@
 <!DOCTYPE html>
 <html lang="br" dir="ltr">
 <head>
-<meta http-equiv="content-type" content="text/html; charset=UTF-8" /> 
+<meta http-equiv="content-type" content="text/html; charset=UTF-8">
+<meta name="viewport" content="width=device-width">
 <title>Pajenn degemer Ubuntu</title>
 <style type="text/css">
+html {
+    font: normal 300 16px/25px "Ubuntu", Arial, "libra sans", sans-serif;
+    color: #333;
+}
 body {
     background: white;
-    font-family: ubuntu, ubuntubeta, 'Bitstream Vera Sans', 'DejaVu Sans', Tahoma, sans-serif;
-    font-size: 12px;
-    line-height: 14px;
     margin: 0 auto;
 }
 button::-moz-focus-inner {
@@ -21,30 +23,94 @@
     button{
         margin: 0;
     }
-}   
+}
+.acchide {
+    text-indent: -999em;
+    display: block;
+}
+/* one-form */
+input[type="search"] {
+  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
+  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
+  border-radius: 2px;
+  width: 100%;
+  padding: 0.5em 0.6em;
+  margin: 0 0 0.5em 0;
+  display: block;
+  border: 1px solid #ccc;
+  font-weight: inherit;
+  -webkit-transition: 0.3s linear border;
+  -moz-transition: 0.3s linear border;
+  -ms-transition: 0.3s linear border;
+  -o-transition: 0.3s linear border;
+  transition: 0.3s linear border;
+}
+input[type="search"]:focus {
+  outline: 0;
+  outline: thin dotted \9;
+  /* IE6-9 */
+  border-color: #129FEA;
+}
+/* end one-form */
+
+/* one-list */
+ul, ol {
+  margin: 0.5em 0;
+  padding: 0;
+}
+ul li {
+  list-style: none;
+}
+.one-list-inline {
+  display: inline;
+  overflow: hidden;
+  margin: 0 0 0 0.3em;
+  padding: 0;
+}
+.one-list-inline li {
+  list-style: none;
+  display: inline-block;
+}
+.one-list-inline li:after {
+  margin: 0 0.15em;
+}
+.one-list-inline li:last-child:after {
+  content: '';
+}
+/* end one-list */
+
+/* one-box */
+.one-box {
+  padding: 20px;
+  margin: 0 0 2em 0;
+  -webkit-border-radius: 5px;
+  border-radius: 5px;
+  padding: 20px;
+}
+.one-box-bordered {
+  border: 1px solid #ccc;
+}
+/* end one-box */
+
 .search-box {
-    width: 595px;
-    margin: 0 auto;
-    margin-top: 63px;
+    margin: 1em;
+    border-color: #eee;
+
+    -webkit-transition: margin 200ms ease, padding 200ms ease;
+    -moz-transition: margin 200ms ease, padding 200ms ease;
+    transition: margin 200ms ease, padding 200ms ease;
 }
 .ubuntu-branding {
     background: url(http://start.ubuntu.com/12.04/sprite.png) no-repeat;
-    background-position: 0 -251px;
+    background-position: 0px -251px;
     background-color: #aea79f;
     height: 40px;
     border-radius: 5px 5px 0 0;
-}
-.wrapper {
-    padding: 0;
-    border: 1px solid #eee;
-    border-top: 0;
-    border-radius: 0 0 5px 5px;
-    margin: 0 auto;
-    text-align: center;
-}
-.wrapper h1 {
-    margin: 0;
-    padding: 0;
+    margin: -21px;
+    margin-bottom: 20px;
+}
+.logo {
+    margin: 0 0 15px 0;
 }
 .logo a {
     font-size: 1px;
@@ -52,122 +118,164 @@
     text-indent: -9999px;
     background: url(http://start.ubuntu.com/12.04/sprite.png) no-repeat;
     background-position: -10px -95px;
-    margin: 0;
     padding: 0;
     height: 18px;
     width: 167px;
-    margin-bottom: 15px;
-    position: relative;
-}
-.wrapper input {
-    /* allows styling in webkit */
-    -webkit-appearance: textfield;
-    display: inline-block;
-    vertical-align: top;
-    width: 384px;
-    height: 32px;
-    font-size: 18px;
-    padding-left: 5px;
-    padding-right: 5px;
-    -webkit-box-sizing: border-box;
-    -moz-box-sizing: border-box;
-    -ms-box-sizing: border-box;
-    -o-box-sizing: border-box;
-    box-sizing: border-box;
-    border: 1px solid #AEA79F;
-}
-.inner {
-    display: inline-block;
-    margin: 65px auto 100px auto;
-}
-.inner form {
-    height: 32px;
+    position: relative;
+    -webkit-transition: margin 200ms ease;
+    -moz-transition: margin 200ms ease;
+    transition: margin 200ms ease;
+}
+.logo,
+.search-form {
+    max-width: 460px;
+    margin-left: auto;
+    margin-right: auto;
+}
+@media screen and (min-width: 665px) {
+    .wrapper {
+        max-width: 665px;
+        margin: 0 auto;
+    }
+    .search-box {
+        padding-bottom: 100px;
+        margin-top: 65px;
+    }
+    .logo a {
+        margin-top: 65px;
+    }
+    .search-form {
+        text-align: center;
+    }
+}
+.search-form {
+    padding-right: 75px;
+    position: relative;
+    -moz-box-sizing: border-box;
+    -webkit-box-sizing: border-box;
+    box-sizing: border-box;
+}
+.search-input {
+    -moz-box-sizing: border-box;
+    -webkit-box-sizing: border-box;
+    box-sizing: border-box;
+    font-size: inherit;
+}
+.search-button {
+    position: absolute;
+    top: 0;
+    right: 0;
+    cursor: default;
+    height: 37px;
+    width: 70px;
+    margin-left: 0.5em;
+    text-align: center;
+    text-decoration: none;
+    -moz-user-select: none;
+    -webkit-box-sizing: border-box;
+    -moz-box-sizing: border-box;
+    box-sizing: border-box;
 }
 .external-links {
-    text-align: center;
-    padding-top: 20px;
-    padding-left: 10px;
-    padding-right: 10px;
+    margin: 1em;
 }
 .external-links li {
-    height: 30px;
-    display: inline-block;
     text-align: left;
-    padding-top: 8px;
-    margin: 0 10px;
+    display: block;
+    margin: 0 1em 1em 1em;
+    padding-bottom: 1em;
+    border-bottom: 1px solid #ccc;
+}
+.external-links li:after {
+    margin: 0;
 }
 .external-links a {
+    display: block;
     text-decoration: none;
     color: gray;
-    padding: 10px 0 10px 40px;
+    height: 30px;
+    line-height: 30px;
+    padding-left: 35px;
 }
 .external-links a::after {
     content: " ›";
-    font-size: 16px;
 }
 .external-links a:hover {
     color: #e24912;
 }
-.help-link, 
-.shop-link, 
-.community-link {
+@media screen and (min-width: 665px) {
+    .external-links {
+        width: 595px;
+        margin: auto;
+        display: block;
+        text-align: center;
+    }
+    .external-links li {
+        display: inline-block;
+        margin: 0 1em 0 0;
+        padding: 0;
+        border: none;
+    }
+    .external-links li:last-child {
+        margin-right: 0;
+        margin-bottom: 0;
+    }
+    .external-links li a {
+        display: inline-block;
+    }
+}
+.help-link a,
+.shop-link a,
+.community-link a {
     background: url(http://start.ubuntu.com/12.04/sprite.png) no-repeat;
 }
-.help-link {
+.help-link a {
     background-position: -10px -450px;
 }
-.help-link:hover {
+.help-link:hover a {
     background-position: -10px -490px;
 }
-.shop-link {
+.shop-link a {
     background-position: -10px -368px;
 }
-.shop-link:hover {
+.shop-link:hover a {
     background-position: -10px -410px;
 }
-.community-link {
+.community-link a {
     background-position: -10px -528px;
 }
-.community-link:hover {
+.community-link:hover a {
     background-position: -10px -568px;
 }
-button {
-    margin: 0 3px;
-    display: inline-block;
-    vertical-align: top;
-    cursor: default;
-    height: 32px;
-    padding: 0 8px;
-    text-align: center;
-    text-decoration: none;
-    -webkit-box-sizing: border-box;
-    -moz-box-sizing: border-box;
-    -ms-box-sizing: border-box;
-    -o-box-sizing: border-box;
-    box-sizing: border-box;
-}
 </style>
 </head>
 <body>
-    <div class="search-box">
-        <div class="ubuntu-branding"></div>
-        <div class="wrapper">
-            <div class="inner">
-                <h1 class="logo"><a href="http://www.yahoo.com">Yahoo! Search</a></h1>
-                <form method="get" action="http://search.yahoo.com/search" name="search">
-                    <input type="hidden" name="fr" value="ubuntu" />
-                    <input type="hidden" name="ei" value="UTF-8" />
-                    <input type="search" x-webkit-speech name="p" value="" id="sbi"/><!-- Eliminate whitespace
-                    --><button type="submit">Klask</button>
-                </form>
-            </div>
-        </div>
-        <ul class="external-links">
-            <li class="help-link"><a href="https://help.ubuntu.com">Skoazell Ubuntu</a></li>
-            <li class="shop-link"><a href="http://shop.ubuntu.com">Stal Ubuntu</a></li>
-            <li class="community-link"><a href="http://www.ubuntu.com/community">Kumuniezh Ubuntu</a></li>
-        </ul>
-    </div><!-- close search-box -->
+
+    <div class="wrapper">
+
+        <div class="search-box one-box one-box-bordered">
+
+            <div class="ubuntu-branding"></div>
+
+            <h1 class="logo"><a href="http://www.yahoo.com">Yahoo! Search</a></h1>
+
+            <form method="get" class="search-form" action="http://search.yahoo.com/search" name="search">
+                <input type="hidden" name="fr" value="ubuntu" />
+                <input type="hidden" name="ei" value="UTF-8" />
+                <input class="search-input" type="search" x-webkit-speech name="p" value="" id="sbi"/><!-- Eliminate whitespace
+                --><button class="search-button" type="submit">Search</button>
+            </form>
+
+        </div><!-- close search-box -->
+
+    </div><!-- close wrapper -->
+
+    <ul class="external-links one-list-inline">
+        <li class="help-link"><a href="https://help.ubuntu.com">Skoazell Ubuntu</a></li>
+        <li class="shop-link"><a href="http://shop.ubuntu.com">Stal Ubuntu</a></li>
+        <li class="community-link"><a href="http://www.ubuntu.com/community">Kumuniezh Ubuntu</a></li>
+    </ul>
+
 <script type="text/javascript">
 //<![CDATA[
 (function focus_search() {

=== modified file 'www/12.10/Yahoo/index.html.zh-hk'
--- www/12.10/Yahoo/index.html.zh-hk	2015-02-03 23:24:30 +0000
+++ www/12.10/Yahoo/index.html.zh-hk	2015-02-03 23:25:45 +0000
@@ -3,7 +3,7 @@
 <head>
 <meta http-equiv="content-type" content="text/html; charset=UTF-8">
 <meta name="viewport" content="width=device-width">
-<title>Ubuntu開始頁</title>
+<title>Ubuntu 開始頁</title>
 <style type="text/css">
 html {
     font: normal 300 16px/25px "Ubuntu", Arial, "libra sans", sans-serif;
@@ -271,9 +271,9 @@
     </div><!-- close wrapper -->
 
     <ul class="external-links one-list-inline">
-        <li class="help-link"><a href="https://help.ubuntu.com">Ubuntu幫助</a></li>
-        <li class="shop-link"><a href="http://shop.ubuntu.com">Ubuntu商店</a></li>
-        <li class="community-link"><a href="http://www.ubuntu.com/community">Ubuntu社群</a></li>
+        <li class="help-link"><a href="https://help.ubuntu.com">Ubuntu 幫助</a></li>
+        <li class="shop-link"><a href="http://shop.ubuntu.com">Ubuntu 商店</a></li>
+        <li class="community-link"><a href="http://www.ubuntu.com/community">Ubuntu 社羣</a></li>
     </ul>
 
 <script type="text/javascript">

=== modified file 'www/12.10/index.html.br'
--- www/12.10/index.html.br	2014-04-29 13:23:04 +0000
+++ www/12.10/index.html.br	2015-02-03 23:25:45 +0000
@@ -1,14 +1,17 @@
 <!DOCTYPE html>
 <html lang="br" dir="ltr">
 <head>
-<meta http-equiv="content-type" content="text/html; charset=UTF-8" /> 
+<meta http-equiv="content-type" content="text/html; charset=UTF-8">
+ <meta name="viewport" content="width=device-width">
 <title>Pajenn degemer Ubuntu</title>
+
 <style type="text/css">
+html {
+    font: normal 300 16px/25px "Ubuntu", Arial, "libra sans", sans-serif;
+    color: #333;
+}
 body {
     background: white;
-    font-family: ubuntu, ubuntubeta, 'Bitstream Vera Sans', 'DejaVu Sans', Tahoma, sans-serif;
-    font-size: 12px;
-    line-height: 14px;
     margin: 0 auto;
 }
 button::-moz-focus-inner {
@@ -21,15 +24,82 @@
     button{
         margin: 0;
     }
-}   
+}
 .acchide {
     text-indent: -999em;
     display: block;
 }
+/* one-form */
+input[type="search"] {
+  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
+  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
+  border-radius: 2px;
+  width: 100%;
+  padding: 0.5em 0.6em;
+  margin: 0 0 0.5em 0;
+  display: block;
+  border: 1px solid #ccc;
+  font-weight: inherit;
+  -webkit-transition: 0.3s linear border;
+  -moz-transition: 0.3s linear border;
+  -ms-transition: 0.3s linear border;
+  -o-transition: 0.3s linear border;
+  transition: 0.3s linear border;
+}
+input[type="search"]:focus {
+  outline: 0;
+  outline: thin dotted \9;
+  /* IE6-9 */
+  border-color: #129FEA;
+}
+/* end one-form */
+
+/* one-list */
+ul, ol {
+  margin: 0.5em 0;
+  padding: 0;
+}
+ul li {
+  list-style: none;
+}
+.one-list-inline {
+  display: inline;
+  overflow: hidden;
+  margin: 0 0 0 0.3em;
+  padding: 0;
+}
+.one-list-inline li {
+  list-style: none;
+  display: inline-block;
+}
+.one-list-inline li:after {
+  margin: 0 0.15em;
+}
+.one-list-inline li:last-child:after {
+  content: '';
+}
+/* end one-list */
+
+/* one-box */
+.one-box {
+  padding: 20px;
+  margin: 0 0 2em 0;
+  -webkit-border-radius: 5px;
+  border-radius: 5px;
+  padding: 20px;
+}
+.one-box-bordered {
+  border: 1px solid #ccc;
+}
+/* end one-box */
+
 .search-box {
-    width: 595px;
-    margin: 0 auto;
-    margin-top: 63px;
+    margin: 1em;
+    border-color: #eee;
+
+    -webkit-transition: margin 200ms ease, padding 200ms ease;
+    -moz-transition: margin 200ms ease, padding 200ms ease;
+    transition: margin 200ms ease, padding 200ms ease;
 }
 .ubuntu-branding {
     background: url(http://start.ubuntu.com/12.04/sprite.png) no-repeat;
@@ -37,18 +107,11 @@
     background-color: #aea79f;
     height: 40px;
     border-radius: 5px 5px 0 0;
-}
-.wrapper {
-    padding: 0;
-    border: 1px solid #eee;
-    border-top: 0;
-    border-radius: 0 0 5px 5px;
-    margin: 0 auto;
-    text-align: center;
-}
-.wrapper h1 {
-    margin: 0;
-    padding: 0;
+    margin: -21px;
+    margin-bottom: 20px;
+}
+.logo {
+    margin: 0 0 15px 0;
 }
 .logo a {
     font-size: 1px;
@@ -56,149 +119,187 @@
     text-indent: -9999px;
     background: url(http://start.ubuntu.com/12.04/sprite.png) no-repeat;
     background-position: -10px -310px;
-    margin: 0;
     padding: 0;
     height: 38px;
     width: 109px;
-    margin-bottom: 15px;
-    position: relative;
-}
-.wrapper input {
-    /* allows styling in webkit */
-    -webkit-appearance: textfield;
-    display: inline-block;
-    vertical-align: top;
-    width: 384px;
-    height: 32px;
-    font-size: 18px;
-    padding-left: 5px;
-    padding-right: 5px;
-    -webkit-box-sizing: border-box;
-    -moz-box-sizing: border-box;
-    -ms-box-sizing: border-box;
-    -o-box-sizing: border-box;
-    box-sizing: border-box;
-    border: 1px solid #AEA79F;
-}
-.inner {
-    display: inline-block;
-    margin: 65px auto 100px auto;
-}
-.inner form {
-    height: 32px;
+    position: relative;
+    -webkit-transition: margin 200ms ease;
+    -moz-transition: margin 200ms ease;
+    transition: margin 200ms ease;
+}
+.logo,
+.search-form {
+    max-width: 460px;
+    margin-left: auto;
+    margin-right: auto;
+}
+@media screen and (min-width: 665px) {
+    .wrapper {
+        max-width: 665px;
+        margin: 0 auto;
+    }
+    .search-box {
+        padding-bottom: 100px;
+        margin-top: 65px;
+    }
+    .logo a {
+        margin-top: 65px;
+    }
+    .search-form {
+        text-align: center;
+    }
+}
+.search-form {
+    padding-right: 75px;
+    position: relative;
+    -moz-box-sizing: border-box;
+    -webkit-box-sizing: border-box;
+    box-sizing: border-box;
+}
+.search-input {
+    -moz-box-sizing: border-box;
+    -webkit-box-sizing: border-box;
+    box-sizing: border-box;
+    font-size: inherit;
+}
+.search-button {
+    position: absolute;
+    top: 0;
+    right: 0;
+    background: #4d90fe;
+    background: -moz-linear-gradient(top, #4d90fe 0%, #4787ed 100%);
+    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#4d90fe), color-stop(100%,#4787ed));
+    background: -webkit-linear-gradient(top, #4d90fe 0%,#4787ed 100%);
+    background: linear-gradient(to bottom, #4d90fe 0%,#4787ed 100%);
+    border: 1px solid #3079ED;
+    border-radius: 2px;
+    color: #FFFFFF;
+    cursor: default;
+    font-weight: bold;
+    height: 37px;
+    line-height: 37px;
+    width: 70px;
+    margin-left: 0.5em;
+    text-align: center;
+    text-decoration: none;
+    -moz-user-select: none;
+    -webkit-box-sizing: border-box;
+    -moz-box-sizing: border-box;
+    box-sizing: border-box;
+}
+#sspan {
+    background: url(http://start.ubuntu.com/12.04/sprite.png) no-repeat;
+    background-position: -10px -692px;
+    display: block;
+    height: 17px;
+    width: 14px;
+    margin: auto;
+    position: relative;
+    top: 8px;
 }
 .external-links {
-    text-align: center;
-    padding-top: 20px;
-    padding-left: 10px;
-    padding-right: 10px;
+    margin: 1em;
 }
 .external-links li {
-    height: 30px;
-    display: inline-block;
     text-align: left;
-    padding-top: 8px;
-    margin: 0 10px;
+    display: block;
+    margin: 0 1em 1em 1em;
+    padding-bottom: 1em;
+    border-bottom: 1px solid #ccc;
+}
+.external-links li:after {
+    margin: 0;
 }
 .external-links a {
+    display: block;
     text-decoration: none;
     color: gray;
-    padding: 10px 0 10px 40px;
+    height: 30px;
+    line-height: 30px;
+    padding-left: 35px;
 }
 .external-links a::after {
     content: " ›";
-    font-size: 16px;
 }
 .external-links a:hover {
     color: #e24912;
 }
-.help-link, 
-.shop-link, 
-.community-link {
+@media screen and (min-width: 665px) {
+    .external-links {
+        width: 595px;
+        margin: auto;
+        display: block;
+        text-align: center;
+    }
+    .external-links li {
+        display: inline-block;
+        margin: 0 1em 0 0;
+        padding: 0;
+        border: none;
+    }
+    .external-links li:last-child {
+        margin-right: 0;
+        margin-bottom: 0;
+    }
+    .external-links li a {
+        display: inline-block;
+    }
+}
+.help-link a,
+.shop-link a,
+.community-link a {
     background: url(http://start.ubuntu.com/12.04/sprite.png) no-repeat;
 }
-.help-link {
+.help-link a {
     background-position: -10px -450px;
 }
-.help-link:hover {
+.help-link:hover a {
     background-position: -10px -490px;
 }
-.shop-link {
+.shop-link a {
     background-position: -10px -368px;
 }
-.shop-link:hover {
+.shop-link:hover a {
     background-position: -10px -410px;
 }
-.community-link {
+.community-link a {
     background-position: -10px -528px;
 }
-.community-link:hover {
+.community-link:hover a {
     background-position: -10px -568px;
 }
-#sbtn {
-    margin: 0 3px;
-    display: inline-block;
-    vertical-align: top;
-    background-color: #4D90FE;
-    background: #4d90fe; /* Old browsers */
-    background: -moz-linear-gradient(top, #4d90fe 0%, #4787ed 100%); /* FF3.6+ */
-    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#4d90fe), color-stop(100%,#4787ed)); /* Chrome,Safari4+ */
-    background: -webkit-linear-gradient(top, #4d90fe 0%,#4787ed 100%); /* Chrome10+,Safari5.1+ */
-    background: -o-linear-gradient(top, #4d90fe 0%,#4787ed 100%); /* Opera 11.10+ */
-    background: -ms-linear-gradient(top, #4d90fe 0%,#4787ed 100%); /* IE10+ */
-    background: linear-gradient(to bottom, #4d90fe 0%,#4787ed 100%); /* W3C */
-    border: 1px solid #3079ED;
-    border-radius: 2px;
-    color: #FFFFFF;
-    -moz-user-select: none;
-    cursor: default;
-    font-weight: bold;
-    height: 32px;
-    line-height: 32px;
-    min-width: 54px;
-    padding: 0 8px;
-    text-align: center;
-    text-decoration: none;
-    -webkit-box-sizing: border-box;
-    -moz-box-sizing: border-box;
-    -ms-box-sizing: border-box;
-    -o-box-sizing: border-box;
-    box-sizing: border-box;
-}
-#sspan {
-    background: url(http://start.ubuntu.com/12.04/sprite.png) no-repeat;
-    background-position: -10px -692px;
-    vertical-align: top;
-    display: inline-block;
-    height: 17px;
-    margin: 5px 19px;
-    width: 14px;
-}
 </style>
 </head>
 <body>
-    <div class="search-box">
-        <div class="ubuntu-branding"></div>
-        <div class="wrapper">
-            <div class="inner">
-                <h1 class="logo"><a href="http://www.google.com">Google</a></h1>
-                <form method="get" class="search-form" action="http://www.google.com/search" name="search">
-                    <input type="search" name="q" value="" x-webkit-speech id="sbi" /><!-- eliminate whitespace
-                    --><button id="sbtn" type="submit"><span id="sspan"></span><span class="acchide">Klask</span></button>
-                    <input type="hidden" name="ie" value="UTF-8" />
-                    <input type="hidden" name="sa" value="Search" />
-                    <input type="hidden" name="channel" value="fe">
-                    <input type="hidden" name="client" value="browser-ubuntu">
-                    <input title="search" type="hidden" name="hl" value="br" />
-                </form>
-            </div>
-        </div>
-        <ul class="external-links">
-            <li class="help-link"><a href="https://help.ubuntu.com">Skoazell Ubuntu</a></li>
-            <li class="shop-link"><a href="http://shop.ubuntu.com">Stal Ubuntu</a></li>
-            <li class="community-link"><a href="http://www.ubuntu.com/community">Kumuniezh Ubuntu</a></li>
-        </ul>
-    </div><!-- close search-box -->
+
+    <div class="wrapper">
+
+        <div class="search-box one-box one-box-bordered">
+
+            <div class="ubuntu-branding"></div>
+
+            <h1 class="logo"><a href="http://www.google.com">Google</a></h1>
+
+            <form method="get" class="search-form" action="http://www.google.com/search" name="search">
+                <input type="search" class="search-input" name="q" value="" x-webkit-speech id="sbi" /><!-- eliminate whitespace
+                --><button id="sbtn" class="search-button" type="submit"><span id="sspan"></span><span class="acchide">Klask</span></button>
+                <input type="hidden" name="ie" value="UTF-8" />
+                <input type="hidden" name="sa" value="Search" />
+                <input type="hidden" name="channel" value="fe">
+                <input type="hidden" name="client" value="browser-ubuntu">
+                <input title="search" type="hidden" name="hl" value="br" />
+            </form>
+
+        </div><!-- close search-box -->
+
+    </div><!-- close wrapper -->
+
+    <ul class="external-links one-list-inline">
+        <li class="help-link"><a href="https://help.ubuntu.com">Skoazell Ubuntu</a></li>
+        <li class="shop-link"><a href="http://shop.ubuntu.com">Stal Ubuntu</a></li>
+        <li class="community-link"><a href="http://www.ubuntu.com/community">Kumuniezh Ubuntu</a></li>
+    </ul>
+
 <script type="text/javascript">
 //<![CDATA[
 (function focus_search() {

=== modified file 'www/12.10/index.html.zh-hk'
--- www/12.10/index.html.zh-hk	2015-02-03 23:24:30 +0000
+++ www/12.10/index.html.zh-hk	2015-02-03 23:25:45 +0000
@@ -2,8 +2,9 @@
 <html lang="zh_HK" dir="ltr">
 <head>
 <meta http-equiv="content-type" content="text/html; charset=UTF-8">
-<meta name="viewport" content="width=device-width">
-<title>Ubuntu開始頁</title>
+ <meta name="viewport" content="width=device-width">
+<title>Ubuntu 開始頁</title>
+
 <style type="text/css">
 html {
     font: normal 300 16px/25px "Ubuntu", Arial, "libra sans", sans-serif;
@@ -294,9 +295,9 @@
     </div><!-- close wrapper -->
 
     <ul class="external-links one-list-inline">
-        <li class="help-link"><a href="https://help.ubuntu.com">Ubuntu幫助</a></li>
-        <li class="shop-link"><a href="http://shop.ubuntu.com">Ubuntu商店</a></li>
-        <li class="community-link"><a href="http://www.ubuntu.com/community">Ubuntu社群</a></li>
+        <li class="help-link"><a href="https://help.ubuntu.com">Ubuntu 幫助</a></li>
+        <li class="shop-link"><a href="http://shop.ubuntu.com">Ubuntu 商店</a></li>
+        <li class="community-link"><a href="http://www.ubuntu.com/community">Ubuntu 社羣</a></li>
     </ul>
 
 <script type="text/javascript">

